#ifndef _UI_WIFI_SCREEN_EVENT_H
#define _UI_WIFI_SCREEN_EVENT_H
#include <ctype.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include "ui.h"
#ifdef __cplusplus
extern "C" {
#endif

void WifiScreenRefresh(void);

void InWifiMatch(lv_event_t * e);
void OutWifiMatch(lv_event_t * e);
void WifiMatchReturnButtonPanelCallback(lv_event_t * e);
void StartRestartCancelWifiMatch(lv_event_t * e);
void WifiMatchMatchModePanelReturnButtonPanelCallback(lv_event_t * e);
void TurnWifiMatch(lv_event_t * e);
void WifiMatchApModeButtonPanelClickedCallback(lv_event_t * e);
void WifiMatchPromptButtonPanelClickedCallback(lv_event_t * e);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
